Bug 281651 - Cannot disable XRANDR and Xinerama extensions on some machines
Cannot disable XRANDR and Xinerama extensions on some machines
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-06 19:05 EDT by Orion Poplawski
Modified: 2008-06-16 22:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
X log of machine where XRANDR is still enabled (51.20 KB, text/plain)
2007-09-06 19:05 EDT, Orion Poplawski
no flags Details
X log of machine where XRANR is disabled (87.82 KB, text/plain)
2007-09-06 19:06 EDT, Orion Poplawski
no flags Details
X log with radeon/rawhide with RandR still enabled (149.98 KB, text/plain)
2007-09-07 11:23 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2007-09-06 19:05:23 EDT
Description of problem:

Due to various issues with a third party product, I need to be able to disable
the XRANDR and Xinerama extensions.  I am trying to do this with:

Section "ServerFlags"
        Option "RandR" "false"
        Option "Xinerama" "false"
EndSection

However, on some machines this doesn't seem to take.
Comment 1 Orion Poplawski 2007-09-06 19:05:23 EDT
Created attachment 189331 [details]
X log of machine where XRANDR is still enabled
Comment 2 Orion Poplawski 2007-09-06 19:06:39 EDT
Created attachment 189341 [details]
X log of machine where XRANR is disabled
Comment 3 Matěj Cepl 2007-09-07 11:16:22 EDT
Are we talking about this message in the logfile:

(II) I810(0): RandR enabled, ignore the following RandR disabled message.

That's really interesting. Airlied, could you comment on that, please?
Comment 4 Orion Poplawski 2007-09-07 11:23:24 EDT
Created attachment 190011 [details]
X log with radeon/rawhide with RandR still enabled
Comment 5 Bug Zapper 2008-05-14 10:16:10 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:20:56 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.